Eyetracker |

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Attributes | List of all members
pygaze._eyetracker.pytribe.ParallelEyeTribe Class Reference

## Public Member Functions
| __init__ (self, logfilename='default')
| start_recording (self)
| stop_recording (self)
| log_message (self, message)
| sample (self)
| pupil_size (self)
| close (self)

## Public Attributes
| eyetribe_process

## Protected Attributes
| _connection_alive = Event()
| _command_queue = Queue()
| _to_main_queue = Queue()

## Constructor & Destructor Documentation

## ◆ __init__()

pygaze._eyetracker.pytribe.ParallelEyeTribe.__init__ | ( |  | self,
|  |  | logfilename = 'default' )

## Member Function Documentation

## ◆ close()

pygaze._eyetracker.pytribe.ParallelEyeTribe.close | ( |  | self | ) |

    Stops all data streaming, and closes both the connection to the
            tracker and the logfile

## ◆ log_message()

pygaze._eyetracker.pytribe.ParallelEyeTribe.log_message | ( |  | self,
|  |  | message )

    Logs a message to the logfile, time locked to the most recent
            sample

## ◆ pupil_size()

pygaze._eyetracker.pytribe.ParallelEyeTribe.pupil_size | ( |  | self | ) |

    Returns the most recent pupil size sample (an average of the size
            of both pupils)

            arguments

            None

            returns

            pupsize --  a float indicating the pupil size (in arbitrary units)

## ◆ sample()

pygaze._eyetracker.pytribe.ParallelEyeTribe.sample | ( |  | self | ) |

    Returns the most recent point of regard (=gaze location on screen)
            coordinates (smoothed signal)

            arguments

            None

            returns

            gaze        --  a (x,y) tuple indicating the point of regard

## ◆ start_recording()

pygaze._eyetracker.pytribe.ParallelEyeTribe.start_recording | ( |  | self | ) |

    Starts data recording

## ◆ stop_recording()

pygaze._eyetracker.pytribe.ParallelEyeTribe.stop_recording | ( |  | self | ) |

    Stops data recording

## Member Data Documentation

## ◆ _command_queue

pygaze._eyetracker.pytribe.ParallelEyeTribe._command_queue = Queue()
| protected

## ◆ _connection_alive

pygaze._eyetracker.pytribe.ParallelEyeTribe._connection_alive = Event()
| protected

## ◆ _to_main_queue

pygaze._eyetracker.pytribe.ParallelEyeTribe._to_main_queue = Queue()
| protected

## ◆ eyetribe_process

pygaze._eyetracker.pytribe.ParallelEyeTribe.eyetribe_process

Initial value:
= Process(target=_run_eyetribe_process, \
args=[logfilename, host, port, self._connection_alive, \
self._command_queue])

The documentation for this class was generated from the following file:

- C:/Users/lurax/eyetrackingTobii/pygaze/_eyetracker/pytribe.py